package com.doverfuelingsolutions.issp.data

import android.content.Context
import androidx.startup.Initializer
import com.doverfuelingsolutions.issp.utils.DFSUtilsInitializer

class GlobalDataInitializer : Initializer<GlobalData> {

    override fun create(context: Context): GlobalData {
        GlobalData.init()
        return GlobalData
    }

    override fun dependencies(): MutableList<Class<out Initializer<*>>> {
        return mutableListOf(DFSUtilsInitializer::class.java)
    }
}